#!/bin/bash

# mount file systems and set up environment
mount -t proc none /proc
mount -t sysfs none /sys
mount -t devpts none /dev/pts
export HOME=/root
export LC_ALL=C

# update package sources
apt-get update

# set up environment
apt-get -y install dbus
dbus-uuidgen > /var/lib/dbus/machine-id
dpkg-divert --local --rename --add /sbin/initctl
ln -s /bin/true /sbin/initctl

apt-get -y install ubuntu-standard linux-generic 

# Install these smaller alternative dependencies first
apt-get -y install ibus-pinyin-db-android libqt4-sql-sqlite

apt-get -y install ubuntu-gnome-desktop indicator-datetime 
apt-get -y purge update-manager
apt-get -y install --no-install-recommends language-pack-en language-pack-es language-pack-gnome-en language-pack-gnome-es language-pack-gnome-pt language-pack-gnome-zh-hans language-pack-pt language-pack-zh-hans

# Install the installer
apt-get -y install gparted jfsutils lupin-casper ubiquity-frontend-gtk ubiquity-slideshow-ubuntu xfsprogs

# i386 always has more space than amd64 so install extra language packs
if [ $arch = 'i386' ]
then
	apt-get -y install --no-install-recommends language-pack-de language-pack-gnome-de
fi

# clean system, revert environment changes
apt-get clean
rm /sbin/initctl
dpkg-divert --rename --remove /sbin/initctl
ln -s /run/resolvconf/resolv.conf /etc/resolv.conf

# unmount file systems
umount /proc/sys/fs/binfmt_misc
umount /proc
umount /sys
umount /dev/pts

# quit the chroot and let the other script take over
exit
